$fonts: (
                (Black, 900, normal, Display),
                (Heavy, 800, italic, Display),
                (Bold, 700, italic, Display),
                (Semibold, 600, normal, Display),
                (Medium, 500, normal, Display),
                (Regular, 400, normal, Display),
                (Light, 300, normal, Display),
                (Thin, 200, normal, Display),
                (Ultralight, 100, normal, Display),
                (Heavy, 800, nomral, Text),
                (HeavyItalic, 800, italic, Text),
                (Bold, 700, normal, Text),
                (BoldItalic, 700, italic, Text),
                (Semibold, 600, normal, Text),
                (SemiboldItalic, 600, italic, Text),
                (Medium, 500, normal, Text),
                (MediumItalic, 500, italic, Text),
                (Regular, 400, normal, Text),
                (Italic, 400, italic, Text),
                (Light, 300, nomral, Text),
                (LightItalic, 300, italic, Text),
);

@each $name, $weight, $style, $type in $fonts {
  $path: "#{$fontAdditionalPath}/sf-ui/SFUI#{$type}-";
  @font-face {
    font-family: "SF UI #{$type}";
    font-weight: $weight;
    font-style: $style;
    src: url("#{$path}#{$name}.eot");
    src:
            local("SF UI #{$type}"),
            url("#{$path}#{$name}.eot") format('embedded-opentype'),
            url("#{$path}#{$name}.woff2") format('woff2'),
            url("#{$path}#{$name}.woff") format('woff'),
            url("#{$path}#{$name}.ttf") format('truetype');
  }
}